Package org.jfree.layouting.layouter.context

## Class BackgroundSpecification

- java.lang.Object
- - org.jfree.layouting.layouter.context.BackgroundSpecification

- All Implemented Interfaces:
    `java.io.Serializable`

      public class BackgroundSpecification
      extends java.lang.Object
      implements java.io.Serializable

  Holds all information that make up an element background. (No borders!)
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSValuePair` | `EMPTY_BACKGROUND_REPEAT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BackgroundSpecification​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CSSConstant` | `getBackgroundAttachment​(int i)` |
    `int` | `getBackgroundAttachmentCount​()` |
    `CSSConstant` | `getBackgroundClip​(int i)` |
    `int` | `getBackgroundClipCount​()` |
    `org.pentaho.reporting.libraries.resourceloader.Resource` | `getBackgroundImage​(int i)` |
    `int` | `getBackgroundImageCount​()` |
    `CSSConstant` | `getBackgroundOrigin​(int i)` |
    `int` | `getBackgroundOriginCount​()` |
    `CSSValuePair` | `getBackgroundPosition​(int i)` |
    `int` | `getBackgroundPositionsCount​()` |
    `CSSValuePair` | `getBackgroundRepeat​(int i)` |
    `int` | `getBackgroundRepeatCount​()` |
    `StrictDimension` | `getBackgroundSize​(int i)` |
    `int` | `getBackgroundSizesCount​()` |
    `void` | `setBackgroundAttachment​(int i, CSSConstant data)` |
    `void` | `setBackgroundClip​(int i, CSSConstant data)` |
    `void` | `setBackgroundImage​(int i, org.pentaho.reporting.libraries.resourceloader.Resource data)` |
    `void` | `setBackgroundOrigin​(int i, CSSConstant data)` |
    `void` | `setBackgroundPosition​(int i, CSSValuePair data)` |
    `void` | `setBackgroundRepeat​(int i, CSSValuePair data)` |
    `void` | `setBackgroundSizes​(int i, StrictDimension data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_BACKGROUND_REPEAT

          public static final CSSValuePair EMPTY_BACKGROUND_REPEAT

  - ### Constructor Detail

    - #### BackgroundSpecification

          public BackgroundSpecification​()

  - ### Method Detail

    - #### getBackgroundImage

          public org.pentaho.reporting.libraries.resourceloader.Resource getBackgroundImage​(int i)

    - #### getBackgroundImageCount

          public int getBackgroundImageCount​()

    - #### setBackgroundImage

          public void setBackgroundImage​(int i,
                                         org.pentaho.reporting.libraries.resourceloader.Resource data)

    - #### getBackgroundRepeat

          public CSSValuePair getBackgroundRepeat​(int i)

    - #### getBackgroundRepeatCount

          public int getBackgroundRepeatCount​()

    - #### setBackgroundRepeat

          public void setBackgroundRepeat​(int i,
                                          CSSValuePair data)

    - #### getBackgroundSize

          public StrictDimension getBackgroundSize​(int i)

    - #### getBackgroundSizesCount

          public int getBackgroundSizesCount​()

    - #### setBackgroundSizes

          public void setBackgroundSizes​(int i,
                                         StrictDimension data)

    - #### getBackgroundPosition

          public CSSValuePair getBackgroundPosition​(int i)

    - #### getBackgroundPositionsCount

          public int getBackgroundPositionsCount​()

    - #### setBackgroundPosition

          public void setBackgroundPosition​(int i,
                                            CSSValuePair data)

    - #### getBackgroundOrigin

          public CSSConstant getBackgroundOrigin​(int i)

    - #### getBackgroundOriginCount

          public int getBackgroundOriginCount​()

    - #### setBackgroundOrigin

          public void setBackgroundOrigin​(int i,
                                          CSSConstant data)

    - #### getBackgroundClip

          public CSSConstant getBackgroundClip​(int i)

    - #### getBackgroundClipCount

          public int getBackgroundClipCount​()

    - #### setBackgroundClip

          public void setBackgroundClip​(int i,
                                        CSSConstant data)

    - #### getBackgroundAttachment

          public CSSConstant getBackgroundAttachment​(int i)

    - #### getBackgroundAttachmentCount

          public int getBackgroundAttachmentCount​()

    - #### setBackgroundAttachment

          public void setBackgroundAttachment​(int i,
                                              CSSConstant data)